> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Create a Webhook to receive notifications when an event occurs




## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /webhooks
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /webhooks:
    post:
      tags:
        - Webhooks
      summary: Create Webhook
      description: |
        Create a Webhook to receive notifications when an event occurs
      operationId: createWebhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              title: CreateWebhookRequest
              required:
                - url
                - events
              properties:
                name:
                  type: string
                  description: >
                    Name of the webhook, for your reference.

                    If name is not provided, default name (webhook id) will be
                    used.
                  example: My Webhook
                url:
                  type: string
                  description: >-
                    URL to receive notifications. Must be a valid https:// url
                    with a valid SSL certificate signed by a trusted CA.
                  example: https://example.com/webhook
                events:
                  type: array
                  description: >-
                    The list of events to enable for this webhook endpoint. You
                    may specify [’*’] to enable all events.
                  items:
                    type: string
      responses:
        '200':
          description: Webhook created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: Webhook ID
        name:
          type: string
          description: Name of webhook
          example: My Webhook
        url:
          type: string
          description: URL of webhook endpoint
          example: https://your-webhook.server/utgl-access-webhooks
        status:
          type: string
          enum:
            - created
            - healthy
            - unhealthy
            - error
            - removed
          description: >-
            - `created` webhook has been recently created, pending initial
            health check

            - `healthy` webhook is active and there are no delivery issues

            - `unhealthy` webhook is in degraded state and deliveries are being
            retried

            - `error` webhook is in error state and deliveries are suspended

            - `removed` webhook has been removed
        events:
          type: array
          description: List of subscribed events
          items:
            type: string
    Id:
      type: string
      format: uuid
      description: ID of resource
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````